# Create CPU Instance - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-create-cpu-instance

# Create CPU Instance

POST

/

gpu-instance

/

openapi

/

v1

/

gpu

/

instance

/

create

Try it

Create CPU Instance

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/create \
--header 'Authorization: ' \
--header 'Content-Type: ' \
--data '
{
"name": "",
"productId": "",
"imageUrl": "",
"imageAuth": "",
"imageAuthId": "",
"ports": "",
"envs": [
{
"key": "",
"value": ""
}
],
"tools": [
{
"name": "",
"port": "",
"type": ""
}
],
"command": "",
"entrypoint": "",
"clusterId": "",
"localStorageMountPoint": "",
"networkStorages": [
{
"Id": "",
"mountPoint": ""
}
],
"networkId": "",
"kind": ""
}
'
```

200

```
{
"id": ""
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-name)

name

string

CPU instance name. String, length limit: 0-255 characters.

[​](#param-product-id)

productId

string

required

Product ID for deploying the instance. You can query this via the [List CPU Products API](/docs/api-reference/gpu-instance-list-cpu-products). String, length limit: 1-255 characters.

[​](#param-image-url)

imageUrl

string

required

Container image URL. String, length limit: 1-500 characters.

[​](#param-image-auth)

imageAuth

string

Image repository authentication. Format: username:password. Required for private images; not required for public images or platform images. String, length limit: 0-10239 characters.

[​](#param-image-auth-id)

imageAuthId

string

Image repository authentication ID.

[​](#param-ports)

ports

string

Ports exposed by the instance. String, e.g.: 80/http, 3306/tcp. Supported port range: 1-65535, except for 2222, 2223, 2224 which are reserved for internal use. Supported port types: tcp, http. The total number of ports used by ports + tools must not exceed 15.

[​](#param-envs)

envs

object[]

Instance environment variables. Array, up to 100 environment variables.

Show properties

[​](#param-key)

key

string

Environment variable name. String, length limit: 0-511 characters.

[​](#param-value)

value

string

Environment variable value. String, length limit: 0-4095 characters.

[​](#param-tools)

tools

object[]

Enable official image support tools. Array. Currently, some official images only include Jupyter. The total number of ports used by ports + tools must not exceed 15.

Show properties

[​](#param-name-1)

name

string

Tool name. Valid value: Jupyter.

[​](#param-port)

port

string

Port used by the tool. Supported port range: 1-65535, except for 2222, 2223, 2224 which are reserved for internal use.

[​](#param-type)

type

string

Port type used by the tool. Valid values: tcp, http.

[​](#param-command)

command

string

Container startup command. This setting will override the Docker image’s CMD. String, length limit: 0-2047 characters.

[​](#param-entrypoint)

entrypoint

string

Container startup entrypoint. This setting will override the Docker image’s ENTRYPOINT. String, length limit: 0-2047 characters.

[​](#param-cluster-id)

clusterId

string

Specify the cluster ID to create the instance in. If left empty, the instance will be created in a random cluster. String, length limit: 0-255 characters.

[​](#param-local-storage-mount-point)

localStorageMountPoint

string

Mount point for local storage. Default: “/workspace”. String, length limit: 1-4095 characters.

[​](#param-network-storages)

networkStorages

object[]

Cloud storage mount configuration. Array, up to 30 cloud storages can be mounted.

Show properties

[​](#param-id)

Id

string

Cloud storage ID.

[​](#param-mount-point)

mountPoint

string

Mount point for cloud storage. Default: “/network”. String, length limit: 1-4095 characters.

[​](#param-network-id)

networkId

string

VPC network ID. Leave empty if not using a VPC network.

[​](#param-kind)

kind

string

required

Instance type. Valid values: cpu, gpu. Must be set to cpu.

##

[​](#response)

Response

[​](#param-id)

id

string

Created instance ID.

Last modified on December 24, 2025
